Index: /anuga_work/production/perth/Arc_asc2raster_GDA94z50.py
===================================================================
--- /anuga_work/production/perth/Arc_asc2raster_GDA94z50.py	(revision 6390)
+++ /anuga_work/production/perth/Arc_asc2raster_GDA94z50.py	(revision 6391)
@@ -28,14 +28,14 @@
 ##time_dir2 = '20081210_100528_run_final_0_68693_250m_none_kvanputt'
 ##time_dirs = [time_dir1, time_dir2]
-
+time_dir1 = '20090129_155526_run_final_0.6_27255_Rottnest_kvanputt'
 ##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
 ##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
-time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
-time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
+##time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
+##time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
 ##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
 ##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'
 
 
-time_dirs = [time_dir3, time_dir4] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1] #3, time_dir4] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
 for time_dir in time_dirs:
@@ -48,6 +48,6 @@
     ocean = scenario_dir + "map_work\\Perth.gdb\\Outlines\\initial_conditions_ocean1"
     
-##    print 'Process: Create File GDB'
-##    gp.CreateFileGDB_management(folder, "raster")
+    print 'Process: Create File GDB'
+    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
@@ -62,5 +62,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + 'perth_Sorrento*speed_max.asc')
+    input_ascii = glob.glob(folder + '*.asc')
     print time_dir
 
Index: /anuga_work/production/perth/export_results_max.py
===================================================================
--- /anuga_work/production/perth/export_results_max.py	(revision 6390)
+++ /anuga_work/production/perth/export_results_max.py	(revision 6391)
@@ -20,4 +20,7 @@
 directory = project.output_dir
 
+time_dir1 = '20090129_155526_run_final_0.6_27255_Rottnest_kvanputt'
+
+
 ##time_dir1 = '20081209_155431_run_final_0_27255_250m_none_lfountai'
 ##time_dir2 = '20081210_100528_run_final_0_68693_250m_none_kvanputt'
@@ -29,16 +32,16 @@
 
 ##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
-time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
-time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
+##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
+##time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
 ##time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
 ##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
 ##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'
 ##
-time_dirs = [time_dir2, time_dir3] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir1] #2, time_dir3] #, time_dir3, time_dir4, time_dir5, time_dir6]
 
   
 
-#cellsize = 5
-cellsize = 250
+cellsize = 20
+#cellsize = 250
 
 timestep = None    # None means no timestep!
@@ -49,6 +52,6 @@
 ######
 
-#area = ['Sorrento', 'Geordie' ]  # strings must match keys in var_equations below
-area = ['All']      # 'All' means no special areas - the whole thing
+area = ['Rottnest']  # strings must match keys in var_equations below
+#area = ['All']      # 'All' means no special areas - the whole thing
 
 ######
@@ -63,5 +66,5 @@
 
 # one or more key strings from var_equations above
-var = ['stage']
+var = ['depth', 'speed']
 
 ######
@@ -93,10 +96,10 @@
 
             name1 = directory+time_dir+sep+project.scenario_name
-            name2 = directory+time_dir+sep+project.scenario_name+'_time_39900_0'
-            name3 = directory+time_dir+sep+project.scenario_name+'_time_79800_0'
+##            name2 = directory+time_dir+sep+project.scenario_name+'_time_39900_0'
+##            name3 = directory+time_dir+sep+project.scenario_name+'_time_79800_0'
 
-            names = [name1, name2, name3]
+            names = [name1]#, name2, name3]
       
-            asc_name = []   
+       #     asc_name = []   
                
             for name in names:
@@ -118,11 +121,11 @@
                             verbose = True,
                             format = 'asc')
-
-                asc_name.append(outname + '.asc')
-    
-            maxasc_outname = directory+time_dir+sep+project.scenario_name+'_'+which_area+'_'+which_var+'_max.asc'
-
-            print 'max asc outname ', maxasc_outname
-            print 'asc_name ', str(asc_name)
-            
-            MaxAsc(maxasc_outname, asc_name)
+##
+##                asc_name.append(outname + '.asc')
+##    
+##            maxasc_outname = directory+time_dir+sep+project.scenario_name+'_'+which_area+'_'+which_var+'_max.asc'
+##
+##            print 'max asc outname ', maxasc_outname
+##            print 'asc_name ', str(asc_name)
+##            
+##            MaxAsc(maxasc_outname, asc_name)
Index: /anuga_work/production/perth/project.py
===================================================================
--- /anuga_work/production/perth/project.py	(revision 6390)
+++ /anuga_work/production/perth/project.py	(revision 6391)
@@ -44,7 +44,7 @@
 # run_scenario script is executed
 tide = 0.6               #0.6
-#event_number = 27255 # Java 9.3 worst case for Perth
+event_number = 27255 # Java 9.3 worst case for Perth
 #event_number = 68693 # Sumatra 9.2
-event_number = 27283  # Java 9.3 original
+#event_number = 27283  # Java 9.3 original
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
@@ -77,5 +77,5 @@
 # Important to distinguish each run - ensure str(user) is included!
 # Note, the user is free to include as many parameters as desired
-dir_comment='_'+setup+'_'+str(tide)+'_'+str(event_number)+'_'+ 'Rerun_'+str(user)
+dir_comment='_'+setup+'_'+str(tide)+'_'+str(event_number)+'_'+ 'Rottnest_'+str(user)
 
 #------------------------------------------------------------------------------
@@ -168,5 +168,5 @@
 
 # where the mesh sits (this is created during the run_perth.py)
-meshes_dir_name = meshes_dir + scenario_name+'.msh'
+meshes_dir_name = meshes_dir + scenario_name+'_rottnest.msh'
 
 # where the boundary ordering files sit (this is used within build_boundary.py)
@@ -213,45 +213,49 @@
 ##res_aoi1 = 500*res_factor
 
-# Area of Interest 1 (Fremantle)
-poly_aoi1 = read_polygon(polygons_dir+'CBD_coastal.csv')
-res_aoi1 = 500*res_factor
-
-# Area of Interest 2 (Rockingham)
-poly_aoi2 = read_polygon(polygons_dir+'rockingham_penguin_increase.csv')
-res_aoi2 = 500*res_factor
-
-# Area of Interest 2 (Rockingham)
-poly_aoi2 = read_polygon(polygons_dir+'rockingham_penguin.csv')
-res_aoi2 = 500*res_factor
-
-# Area of Interest 2 (garden Island)
-poly_aoi2a = read_polygon(polygons_dir+'garden.csv')
-res_aoi2a= 500*res_factor
-
-# Area of Interest 3 (geordie bay - record of tsunami impact)
-poly_aoi3 = read_polygon(polygons_dir+'geordie_bay.csv')
-res_aoi3 = 500*res_factor
-
-# Area of Interest 4 (sorrento - record of tsunami impact)
-poly_aoi4 = read_polygon(polygons_dir+'sorrento_gauge.csv')
-res_aoi4 = 500*res_factor
-
-# Area of Significance 1 (Garden Island and sand bank infront of Rockingham)
-poly_aos1 = read_polygon(polygons_dir+'garden_rockingham_increase.csv')
-res_aos1 = 1000*res_factor
+### Area of Interest 1 (Fremantle)
+##poly_aoi1 = read_polygon(polygons_dir+'CBD_coastal.csv')
+##res_aoi1 = 500*res_factor
+##
+### Area of Interest 2 (Rockingham)
+##poly_aoi2 = read_polygon(polygons_dir+'rockingham_penguin_increase.csv')
+##res_aoi2 = 500*res_factor
+##
+### Area of Interest 2 (Rockingham)
+##poly_aoi2 = read_polygon(polygons_dir+'rockingham_penguin.csv')
+##res_aoi2 = 500*res_factor
+##
+### Area of Interest 2 (garden Island)
+##poly_aoi2a = read_polygon(polygons_dir+'garden.csv')
+##res_aoi2a= 500*res_factor
+##
+### Area of Interest 3 (geordie bay - record of tsunami impact)
+##poly_aoi3 = read_polygon(polygons_dir+'geordie_bay.csv')
+##res_aoi3 = 500*res_factor
+##
+### Area of Interest 4 (sorrento - record of tsunami impact)
+##poly_aoi4 = read_polygon(polygons_dir+'sorrento_gauge.csv')
+##res_aoi4 = 500*res_factor
+##
+### Area of Significance 1 (Garden Island and sand bank infront of Rockingham)
+##poly_aos1 = read_polygon(polygons_dir+'garden_rockingham_increase.csv')
+##res_aos1 = 1000*res_factor
 
 # Area of Significance 2 (incorporate coastline of rottnest)
 poly_aos2 = read_polygon(polygons_dir+'rottnest_external.csv')
-res_aos2 = 1000*res_factor
-
-# Refined areas
-# Polygon designed to incorporate dredged area from Fremantle to
-# Rockingham as the steep incline was making the elevation go to 0
-poly_aos3 = read_polygon(polygons_dir+'DredgeArea.csv')
-res_aos3 = 1000*res_factor
-
-# Shallow water 1
-poly_sw1 = read_polygon(polygons_dir+'internal_h20mORd3km.csv')
-res_sw1 = 25000*res_factor
+res_aos2 = 500*res_factor
+
+### Refined areas
+### Polygon designed to incorporate dredged area from Fremantle to
+### Rockingham as the steep incline was making the elevation go to 0
+##poly_aos3 = read_polygon(polygons_dir+'DredgeArea.csv')
+##res_aos3 = 1000*res_factor
+##
+### Shallow water 1
+##poly_sw1 = read_polygon(polygons_dir+'internal_h20mORd3km.csv')
+##res_sw1 = 25000*res_factor
+
+### Shallow water 1
+poly_sw1 = read_polygon(polygons_dir+'rottnest_20m.csv')
+res_sw1 = 1000*res_factor
 
 # Deep water (land of Rottnest, ANUGA does not do donuts!)
@@ -264,9 +268,13 @@
 ##                     ,[poly_sw1,res_sw1], [poly_dw1,res_dw1]]
 
-interior_regions = [[poly_aoi1,res_aoi1],[poly_aoi2,res_aoi2]
-                     ,[poly_aoi2a,res_aoi2a],[poly_aoi3,res_aoi3]
-                     ,[poly_aoi4,res_aoi4],[poly_aos1,res_aos1]
-                     ,[poly_aos2,res_aos2],[poly_aos3,res_aos3]
-                     ,[poly_sw1,res_sw1], [poly_dw1,res_dw1]]
+#For Rottnest zoom in
+interior_regions = [[poly_aos2,res_aos2],[poly_sw1,res_sw1]
+                     ,[poly_dw1,res_dw1]]
+
+##interior_regions = [[poly_aoi1,res_aoi1],[poly_aoi2,res_aoi2]
+##                     ,[poly_aoi2a,res_aoi2a],[poly_aoi3,res_aoi3]
+##                     ,[poly_aoi4,res_aoi4],[poly_aos1,res_aos1]
+##                     ,[poly_aos2,res_aos2],[poly_aos3,res_aos3]
+##                     ,[poly_sw1,res_sw1], [poly_dw1,res_dw1]]
 
     
@@ -309,2 +317,9 @@
 ymaxPerth = 6467000
 
+#Rottnest
+xminRottnest = 352700
+xmaxRottnest = 364800
+yminRottnest = 6455000
+ymaxRottnest = 6460500
+
+