Index: /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.csv
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.csv	(revision 6440)
+++ /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.csv	(revision 6440)
@@ -0,0 +1,11 @@
+index,longitude,latitude,x,y
+1938,137.3667,-36.6833,711494.7888,5937681.91
+1939,137.45,-36.7667,718673.7715,5928175.124
+1940,137.5833,-36.85,730297.9412,5918652.958
+1941,137.7333,-36.9167,743461.5843,5910845.763
+1942,137.8833,-36.9833,756605.2721,5903127.876
+1943,138.05,-37.0333,771295.1657,5897115.519
+1944,138.2167,-37.05,786090.0128,5894738.904
+1945,138.5333,-37.0167,814337.6997,5897402.777
+1946,138.7,-37.05,829058.9322,5893174.241
+1947,138.8667,-37.0667,843840.266,5890695.148
Index: /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.lic
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.lic	(revision 6440)
+++ /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.lic	(revision 6440)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ole Nielsen</author>
+  </metadata>
+  
+  <datafile>
+    <filename>projection_test_points_z53.csv</filename>
+    <checksum>1857311796</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ole Nielsen</accountable>
+    <source>Generated by Leharne Fountainfrom Geoscience Australia</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test points projected to zone 53 for use with the ANUGA test suite</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.csv
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.csv	(revision 6440)
+++ /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.csv	(revision 6440)
@@ -0,0 +1,11 @@
+index,longitude,latitude,x,y
+1938,137.3667,-36.6833,175350.2148,5934139.068
+1939,137.45,-36.7667,183115.8417,5925094.185
+1940,137.5833,-36.85,195321.4823,5916315.098
+1941,137.7333,-36.9167,208955.251,5909347.861
+1942,137.8833,-36.9833,222561.74,5902471.06
+1943,138.05,-37.0333,237601.9692,5897396.349
+1944,138.2167,-37.05,252514.938,5895957.922
+1945,138.5333,-37.0167,280526.0948,5900396.073
+1946,138.7,-37.05,295473.9338,5897106.81
+1947,138.8667,-37.0667,310368.6119,5895566.923
Index: /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.lic
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.lic	(revision 6440)
+++ /anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.lic	(revision 6440)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Ole Nielsen</author>
+  </metadata>
+  
+  <datafile>
+    <filename>projection_test_points_z54.csv</filename>
+    <checksum>-1621865338</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Ole Nielsen</accountable>
+    <source>Generated by Leharne Fountainfrom Geoscience Australia</source>
+    <IP_owner>Geoscience Australia</IP_owner>
+    <IP_info>Test points projected to zone 54 for use with the ANUGA test suite</IP_info>    
+  </datafile>
+
+</ga_license_file>
Index: /anuga_core/source/anuga/coordinate_transforms/test_redfearn.py
===================================================================
--- /anuga_core/source/anuga/coordinate_transforms/test_redfearn.py	(revision 6439)
+++ /anuga_core/source/anuga/coordinate_transforms/test_redfearn.py	(revision 6440)
@@ -274,4 +274,54 @@
 
 
+    
+    def Xtest_nonstandard_meridian_coinciding_with_native(self):
+        """test_nonstandard_meridian_coinciding_with_native
+
+        This test will verify that redfearn can be used to project
+        points using an arbitrary central meridian that happens to 
+        coincide with the standard meridian at the center of a UTM zone.
+        This is a preliminary test before testing this functionality
+        with a truly arbitrary non-standard meridian.
+        """
+
+        # The file projection_test_points_z53.csv contains 10 points
+        # which straddle the boundary between UTM zones 53 and 54.
+        # They have been projected to zone 53 irrespective of where they
+        # belong.
+
+        path = get_pathname_from_package('anuga.coordinate_transforms')
+        
+        for forced_zone in [53, 54]:
+        
+            datafile = join(path, 'projection_test_points_z%d.csv' % forced_zone)
+            fid = open(datafile)
+
+            for line in fid.readlines()[1:]:
+                fields = line.strip().split(',')
+                
+                lon = float(fields[1])
+                lat = float(fields[2])
+                x = float(fields[3])
+                y = float(fields[4])            
+
+                zone, easting, northing = redfearn(lat, lon,
+                                                   zone=forced_zone)
+                
+                print
+                print 'Lat', lat
+                print 'Lon', lon
+                print 'Zone', zone
+                print 'Ref x', x, 'Computed x', easting, 'Close enough:', num.allclose(x, easting)
+                print 'Ref y', y, 'Computed y', northing, 'Close enough:', num.allclose(y, northing)
+                
+                # Check calculation
+                assert zone == forced_zone
+                print 
+                #assert num.allclose(x, easting)
+                #assert num.allclose(y, northing)
+
+    
+    
+    
     def Xtest_nonstandard_meridian(self):
         """test_nonstandard_meridian
@@ -301,5 +351,5 @@
             zone, easting, northing = redfearn(lat, lon,
                                                central_meridian=137.5,
-                                               scale_factor=0.9998154)
+                                               scale_factor=0.9996)
 
             print
@@ -320,6 +370,5 @@
             zone, easting, northing = redfearn(lat, lon,
                                                zone=50, 
-                                               central_meridian=137.5,
-                                               scale_factor=0.968)
+                                               central_meridian=137.5)
         except:
             pass
@@ -328,4 +377,5 @@
             raise Exception, msg
 
+            
     def test_convert_lats_longs(self):
 
@@ -475,6 +525,6 @@
 
     #mysuite = unittest.makeSuite(TestCase,'test_convert_latlon_to_UTM1')
-    #mysuite = unittest.makeSuite(TestCase,'test_UTM_6_nonstandard_projection')
-    mysuite = unittest.makeSuite(TestCase,'test')
+    mysuite = unittest.makeSuite(TestCase,'test_nonstandard_meridian_coinciding_with_native')
+    #mysuite = unittest.makeSuite(TestCase,'test')
     runner = unittest.TextTestRunner()
     runner.run(mysuite)