Index: /anuga_work/production/australia_ph2/LHI/run_model.py
===================================================================
--- /anuga_work/production/australia_ph2/LHI/run_model.py	(revision 6490)
+++ /anuga_work/production/australia_ph2/LHI/run_model.py	(revision 6491)
@@ -88,5 +88,5 @@
 
 # Number of boundary segments
-num_ocean_segments = len(event_sts) - 1
+num_ocean_segments = len(event_sts) #- 1
 # Number of landward_boundary points
 num_land_points = 0 #file_length(project.landward_boundary)
@@ -94,8 +94,8 @@
 # Boundary tags refer to project.landward_boundary
 # 4 points equals 5 segments start at N
-boundary_tags={'back': range(num_ocean_segments+1,
-                             num_ocean_segments+num_land_points),
-               'side': [num_ocean_segments,
-                        num_ocean_segments+num_land_points],
+boundary_tags={#'back': range(num_ocean_segments+1,
+               #              num_ocean_segments+num_land_points),
+               #'side': [num_ocean_segments,
+               #         num_ocean_segments+num_land_points],
                'ocean': range(num_ocean_segments)}
 
@@ -106,5 +106,5 @@
                                     interior_regions=project.interior_regions,
                                     mesh_filename=project.meshes,
-                                    use_cache=True,
+                                    use_cache=False,
                                     verbose=True)
 print domain.statistics()
@@ -127,9 +127,9 @@
 else:
     IC = 0
-domain.set_quantity('stage', IC, use_cache=True, verbose=True)
+domain.set_quantity('stage', IC, use_cache=False, verbose=True)
 domain.set_quantity('friction', project.friction) 
 domain.set_quantity('elevation', 
                     filename=project.combined_elevation+'.pts',
-                    use_cache=True,
+                    use_cache=False,
                     verbose=True,
                     alpha=project.alpha)
@@ -155,9 +155,7 @@
                         default_boundary=Bd,
                         boundary_polygon=bounding_polygon_sts,                    
-                        use_cache=True,
+                        use_cache=False,
                         verbose=True)
-    domain.set_boundary({'back': Br,
-                     'side': Bd,
-                     'ocean': Bf}) 
+    domain.set_boundary({'ocean': Bf}) 
     
 elif project.wave == 'Tb':
@@ -165,7 +163,5 @@
                        verbose=True)
 
-    domain.set_boundary({'back': Br,
-                         'side': Bd,
-                         'ocean': Tb})
+    domain.set_boundary({'ocean': Tb})
 else:
     print 'No wave specified in project script (Bf or Tb)'
Index: /anuga_work/production/carnarvon/get_timeseries.py
===================================================================
--- /anuga_work/production/carnarvon/get_timeseries.py	(revision 6490)
+++ /anuga_work/production/carnarvon/get_timeseries.py	(revision 6491)
@@ -19,11 +19,11 @@
 
 ##time_dir1 = '20081202_084220_run_final_1_27283_alpha0.1_kvanputt'
-time_dir2 = '20081202_084202_run_final_1_27255_alpha0.1_kvanputt'
+##time_dir2 = '20081202_084202_run_final_1_27255_alpha0.1_kvanputt'
 ##time_dir3 = '20081202_084132_run_final_1_68693_alpha0.1_kvanputt'
 ##time_dir4 = '20081202_084025_run_final_0_68693_alpha0.1_kvanputt'
-##time_dir5 = '20081202_083932_run_final_0_27255_alpha0.1_kvanputt'
+time_dir5 = '20081202_083932_run_final_0_27255_alpha0.1_kvanputt'
 ##time_dir6 = '20081201_103449_run_final_0_27283_alpha0.1_kvanputt'
 
-time_dirs = [time_dir2] #1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir5] #1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
 
 for time_dir in time_dirs:
Index: /anuga_work/production/carnarvon/project.py
===================================================================
--- /anuga_work/production/carnarvon/project.py	(revision 6490)
+++ /anuga_work/production/carnarvon/project.py	(revision 6491)
@@ -94,5 +94,5 @@
 
 # gauges - used in get_timeseries.py
-gauge_name = 'MH_gauges.csv' #'carnarvon.csv'
+gauge_name = 'MH_gauges_deep.csv' #'carnarvon.csv'
 gauge_name2 = 'thinned_MGA50.csv'
 #buildings - used in run_building_inundation.py