Index: /anuga_core/source/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 6502)
+++ /anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 6503)
@@ -1308,5 +1308,5 @@
         domain: pointer to shallow water domain for which the boundary applies
         mean_stage: The mean water level which will be added to stage derived
-                    from the sww file
+                    from the boundary condition
         time_thinning: Will set how many time steps from the sww file read in
                        will be interpolated to the boundary. For example if 
@@ -1323,4 +1323,5 @@
                           This will be used in case model time exceeds 
                           that available in the underlying data.
+                          Note that mean_stage will also be added to this.
                                                 
         use_cache:
Index: /anuga_work/production/carnarvon/run_carnarvon.py
===================================================================
--- /anuga_work/production/carnarvon/run_carnarvon.py	(revision 6502)
+++ /anuga_work/production/carnarvon/run_carnarvon.py	(revision 6503)
@@ -177,17 +177,17 @@
 
     Br = Reflective_boundary(domain)
-    Bd = Dirichlet_boundary([kwargs['tide'],0,0])
+    Bs = Dirichlet_boundary([kwargs['tide'],0,0])
     
     print 'Available boundary tags', domain.get_boundary_tags()
     Bf = Field_boundary(boundary_urs_out+'.sts',  # Change from file_boundary
-                   domain, mean_stage= project.tide,
+                   domain, mean_stage=project.tide,
                    time_thinning=1,
-                   default_boundary=Bd,
+                   default_boundary=Dirichlet_boundary(0,0,0]),
                    use_cache=True,
-                   verbose = True,
+                   verbose=True,
                    boundary_polygon=bounding_polygon)
 
     domain.set_boundary({'back': Br,
-                         'side': Bd,
+                         'side': Bs,
                          'ocean': Bf}) 
 
Index: /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex
===================================================================
--- /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6502)
+++ /anuga_work/publications/boxing_day_validation_2008/patong_validation.tex	(revision 6503)
@@ -8,7 +8,9 @@
 
 %----------title-------------
-\title{Inundation Modelling of the December 2004 Indian Ocean Tsunami}
+%\title{Inundation Modelling of the December 2004 Indian Ocean Tsunami}
+\title{Benchmarking an Inundation Model using the December 2004 Indian Ocean Tsunami Impact at Patong Beach}
 
 %-------authors-----------
+% FIXME(Ole): The 'ands' appear in the text, they shouldn't
 \author{J.D.~Jakeman$^1$~~and~~O.~Nielsen$^2$~~and~~R.~Mleczko$^2$~~and~~K.~VanPutten$^2$~~and~~S.G~Roberts$^1$}
 
@@ -17,5 +19,5 @@
 $^2$Geoscience Australia, Canberra, Australia\\
 Email: \href{mailto:jakeman@maths.anu.edu.au}{john.jakeman@anu.edu.au}}
-\keywords{ANUGA, Finite Volume Method, Natural Hazards, Indian Ocean Tsunami, Inundation, Thailand, Phuket, Patong Bay.}
+\keywords{ANUGA, Finite Volume Method, Natural Hazards, Indian Ocean Tsunami, Inundation, Thailand, Phuket, Patong Bay, Post Tsunami Runup Survey, Bathymetry, Model Verification, Shallow Water Wave Equations}
 
 \maketitle
@@ -30,11 +32,12 @@
 Tsunami are a potential hazard to coastal communities all over the world. A number of recent large events have increased community and scientific awareness of the need for effective tsunami hazard mitigation. Tsunami modelling is major component of hazard mitigation, which involves detection, forecasting, and emergency preparedness (Synolakis {\it et al.} 2005). Accurate models can be used to provide information that increases the effectiveness of action undertaken before the event to minimise damage (early warning systems, breakwalls etc.) and protocols put in place to be followed when the flood waters subside.
 
-Several approaches are currently used to model tsunami propagation and inundation. These methods differ in both the formulation used to describe the evolution of the tsunami and the numerical methods used to solve the governing equations. The shallow water wave equations, linearised shallow water wave equations, and Boussinesq-type equations are commonly accepted descriptions of flow. The complex nature of these equations and the highly variable nature of the phenomena that they describe necessitate the use of numerical models. These models are typically used to predict quantities such as arrival times, wave speeds and heights and inundation extents which are used to develop efficient hazard mitigation plans. Inaccuracies in model prediction can result in inappropriate evacuation plans and town zoning which may result in loss of life and large financial losses. Consequently tsunami models must undergo sufficient testing to increase scientific and community confidence in the model predictions.
-
-Complete 100\% confidence in a model of a physical system cannot be proven. One can only show that the model does not fail under certain conditions. However, the utility of a model can be assessed through a process of validation and verification. Validation assesses the accuracy of the numerical method used to solve the governing equations and verification is used to investigate whether the model adequately represents the physical system. %Verification must be used to reduce numerical error before validation is used to assess model structure. In some situations it may be possible to increase the numerical accuracy of a model and produce a worse fit of the observed data. 
-
-The sources of data used to validate and verify a model can be separated into three main categories, analytical solutions, scale experiments and field measurements. Analytical solutions of the governing equations of a model, if available, provide the best means of validating a numerical hydrodynamic model. The solutions provide spatially and temporally distributed values of important observables that can be compared against modelled results. However analytical solutions to the governing equations are frequently limited to a small set of idealised examples that do not completely capture the more complex behaviour of 'real' events. Scale experiments, typically in the form of wave-tank experiments provide a much more realistic source of data that better captures the complex dynamics of natural tsunami, whilst allowing control of the event and much easier and accurate measurement of the tsunami properties. However comparison of numerical predictions with field data provides the most stringent test of model veracity. The use of field data increases the generality and significance of conclusions made regarding model utility. However the use of field data also significantly increase the uncertainty of the validation experiment that may constrain the ability to make unequivacol statements~\cite{lane94}.
-
-Currently the amount of tsunami related field data is limited. The cost of tsunami monitoring programs and bathymetry and topography surveys prohibits the collection of data in many of the regions in which tsunamis pose greatest threat. The resulting lack of data has limited the number of field data sets available to validate tsunami models, particularly those modelling tsunami inundation. Synolakis et. al~\cite{synolakis07} have developed a set of standards, criteria and procedures for evaluating numerical models of tsunami. They propose three analytical solutions to help identify the validity of a model and  five scale comparisons (wave-tank benchmarks) and two field events to assess model veracity.  The two field data benchmarks are very useful but only capture a small subset of possible tsunami behaviours and only one of the benchmarks can be used to validate tsunami inundation. The type and size of a tsunami source, propagation extent, and local bathymetry and topography all affect the energy, waveform and subsequent inundation of a tsunami. Consequently additional field data benchmarks that further capture the variability and sensitivity of the real world system would be useful to allow model developers verify their models and subsequently use their models with greater confidence.
+Several approaches are currently used to model tsunami propagation and inundation. These methods differ in both the formulation used to describe the evolution of the tsunami and the numerical methods used to solve the governing equations. The shallow water wave equations, linearised shallow water wave equations, and Boussinesq-type equations are commonly accepted descriptions of flow. The nonlinear nature of these equations, the highly variable nature of the phenomena that they describe and the complex reality of the geometry they operate in necessitate the use of numerical models. These models are typically used to predict quantities such as arrival times, wave speeds and heights and inundation extents which are used to develop efficient hazard mitigation plans. Inaccuracies in model prediction can result in inappropriate evacuation plans and town zoning which may result in loss of life and large financial losses. Consequently tsunami models must undergo sufficient testing to increase scientific and community confidence in the model predictions.
+
+Complete confidence in a model of a physical system cannot be established. A model only be shown not to fail for a specific experiment (FIXME - fiddle with this sentence). However, the utility of a model can be assessed through a process of validation and verification. Validation assesses the accuracy of the numerical method used to solve the governing equations and verification is used to investigate whether the model adequately represents the physical system (\cite{XXX}). %Verification must be used to reduce numerical error before validation is used to assess model structure. In some situations it may be possible to increase the numerical accuracy of a model and produce a worse fit of the observed data. 
+
+The sources of data used to validate and verify a model can be separated into three main categories; analytical solutions, scale experiments and field measurements. Analytical solutions of the governing equations of a model, if available, provide the best means of validating a numerical hydrodynamic model. 
+(FIXME: CAN WE GET RID OF THIS: The solutions provide spatially and temporally distributed values of important observables that can be compared against modelled results). However analytical solutions to the governing equations are frequently limited to a small set of idealised examples that do not completely capture the more complex behaviour of 'real' events. Scale experiments, typically in the form of wave-tank experiments provide a much more realistic source of data that better captures the complex dynamics of natural tsunami, whilst allowing control of the event and much easier and accurate measurement of the tsunami properties. However comparison of numerical predictions with field data provides one of the most stringent test of model veracity. The use of field data increases the generality and significance of conclusions made regarding model utility. However the use of field data also significantly increase the uncertainty of the validation experiment that may constrain the ability to make unequivacol statements~\cite{lane94}.
+
+Currently the extent of tsunami related field data is limited. The cost of tsunami monitoring programs and bathymetry and topography surveys prohibits the collection of data in many of the regions in which tsunamis pose greatest threat. The resulting lack of data has limited the number of field data sets available to validate tsunami models, particularly those modelling tsunami inundation. Synolakis et. al~\cite{synolakis07} have developed a set of standards, criteria and procedures for evaluating numerical models of tsunami. They propose three analytical solutions to help identify the validity of a model and  five scale comparisons (wave-tank benchmarks) and two field events to assess model veracity.  The two field data benchmarks are very useful but only capture a small subset of possible tsunami behaviours and only one of the benchmarks can be used to validate tsunami inundation. The type and size of a tsunami source, propagation extent, and local bathymetry and topography all affect the energy, waveform and subsequent inundation of a tsunami. Consequently additional field data benchmarks that further capture the variability and sensitivity of the real world system would be useful to allow model developers verify their models and subsequently use their models with greater confidence.
 
 In this paper we develop a field data benchmark to be used in conjunction with the other tests proposed by Synolakis et al. to validate and verify tsunami inundation. The benchmark is constructed from data collected around Patong Bay, Thailand during and immediately following the 2004 Indian Ocean tsunami tsunami. This area was chosen because the authors were able to obtain unusually high resolution bathymetry and topography data in this area and an extensive inundation map generated from a survey performed in the aftermath of the tsunami. A description of this data is give in Section~\ref{sec:data}.
@@ -90,5 +93,5 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=8.0cm,keepaspectratio=true]{patongescapemap.jpg}
+%\includegraphics[width=8.0cm,keepaspectratio=true]{patongescapemap.jpg}
 \caption{Map of maximum inundation at Patong bay.}
 \label{fig:patongescapemap}
@@ -131,5 +134,5 @@
 \begin{figure}[ht]
 \begin{center}
-\includegraphics[width=8.0cm,keepaspectratio=true]{Patong_0_8lowres.jpg}
+%\includegraphics[width=8.0cm,keepaspectratio=true]{Patong_0_8lowres.jpg}
 \caption{Simulated inundation versus observed inundation}
 \label{fig:inundationcomparison1cm}