Index: anuga_core/source/anuga/coordinate_transforms/projection_test_points.csv
===================================================================
--- anuga_core/source/anuga/coordinate_transforms/projection_test_points.csv	(revision 6440)
+++ anuga_core/source/anuga/coordinate_transforms/projection_test_points.csv	(revision 6519)
@@ -1,11 +1,11 @@
 index,longitude,latitude,x,y
-1938,137.3667,-36.6833,488117.2357,5940284.291
-1939,137.45,-36.7667,495537.6588,5930973.404
-1940,137.5833,-36.85,507399.4957,5921764.192
-1941,137.7333,-36.9167,520753.9518,5914309.678
-1942,137.8833,-36.9833,534085.4896,5906944.957
-1943,138.05,-37.0333,548915.8886,5901325.418
-1944,138.2167,-37.05,563754.5035,5899340.587
-1945,138.5333,-37.0167,591893.1939,5902743.001
+1938,137.3667,-36.6833,488090.4787,5940250.976
+1939,137.45,-36.7667,495537.6414,5931006.682
+1940,137.5833,-36.85,507426.2409,5921764.169
+1941,137.7333,-36.9167,520780.755,5914342.892
+1942,137.8833,-36.9833,534112.0546,5906911.57
+1943,138.05,-37.0333,548915.6962,5901292.137
+1944,138.2167,-37.05,563727.8276,5899340.788
+1945,138.5333,-37.0167,591920.2434,5902775.993
 1946,138.7,-37.05,606703.4855,5898907.643
-1947,138.8667,-37.0667,621526.6632,5896821.142
+1947,138.8667,-37.0667,621500.4703,5896854.808
Index: anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.csv
===================================================================
--- anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.csv	(revision 6440)
+++ anuga_core/source/anuga/coordinate_transforms/projection_test_points_z53.csv	(revision 6519)
@@ -1,11 +1,11 @@
 index,longitude,latitude,x,y
-1938,137.3667,-36.6833,711494.7888,5937681.91
-1939,137.45,-36.7667,718673.7715,5928175.124
-1940,137.5833,-36.85,730297.9412,5918652.958
-1941,137.7333,-36.9167,743461.5843,5910845.763
-1942,137.8833,-36.9833,756605.2721,5903127.876
-1943,138.05,-37.0333,771295.1657,5897115.519
-1944,138.2167,-37.05,786090.0128,5894738.904
-1945,138.5333,-37.0167,814337.6997,5897402.777
+1938,137.3667,-36.6833,711467.1571,5937649.285
+1939,137.45,-36.7667,718674.6241,5928208.411
+1940,137.5833,-36.85,730324.6941,5918652.234
+1941,137.7333,-36.9167,743489.2693,5910878.287
+1942,137.8833,-36.9833,756630.9716,5903093.775
+1943,138.05,-37.0333,771294.0973,5897082.226
+1944,138.2167,-37.05,786063.3258,5894739.807
+1945,138.5333,-37.0167,814365.6385,5897435.082
 1946,138.7,-37.05,829058.9322,5893174.241
-1947,138.8667,-37.0667,843840.266,5890695.148
+1947,138.8667,-37.0667,843814.9366,5890729.536
Index: anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.csv
===================================================================
--- anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.csv	(revision 6440)
+++ anuga_core/source/anuga/coordinate_transforms/projection_test_points_z54.csv	(revision 6519)
@@ -1,11 +1,11 @@
 index,longitude,latitude,x,y
-1938,137.3667,-36.6833,175350.2148,5934139.068
-1939,137.45,-36.7667,183115.8417,5925094.185
-1940,137.5833,-36.85,195321.4823,5916315.098
-1941,137.7333,-36.9167,208955.251,5909347.861
-1942,137.8833,-36.9833,222561.74,5902471.06
-1943,138.05,-37.0333,237601.9692,5897396.349
-1944,138.2167,-37.05,252514.938,5895957.922
-1945,138.5333,-37.0167,280526.0948,5900396.073
+1938,137.3667,-36.6833,175324.6592,5934104.754
+1939,137.45,-36.7667,183114.6053,5925127.481
+1940,137.5833,-36.85,195348.2409,5916316.056
+1941,137.7333,-36.9167,208980.8435,5909382.073
+1942,137.8833,-36.9833,222589.5404,5902438.641
+1943,138.05,-37.0333,237603.0025,5897363.057
+1944,138.2167,-37.05,252488.254,5895957.14
+1945,138.5333,-37.0167,280551.9251,5900430.054
 1946,138.7,-37.05,295473.9338,5897106.81
-1947,138.8667,-37.0667,310368.6119,5895566.923
+1947,138.8667,-37.0667,310341.19,5895599.61
Index: anuga_core/source/anuga/coordinate_transforms/test_redfearn.py
===================================================================
--- anuga_core/source/anuga/coordinate_transforms/test_redfearn.py	(revision 6440)
+++ anuga_core/source/anuga/coordinate_transforms/test_redfearn.py	(revision 6519)
@@ -275,5 +275,5 @@
 
     
-    def Xtest_nonstandard_meridian_coinciding_with_native(self):
+    def test_nonstandard_meridian_coinciding_with_native(self):
         """test_nonstandard_meridian_coinciding_with_native
 
@@ -324,5 +324,5 @@
     
     
-    def Xtest_nonstandard_meridian(self):
+    def test_nonstandard_meridian(self):
         """test_nonstandard_meridian
 