Index: /anuga_work/production/australia_ph2/sydney/Arc_asc2raster_GDA94z56.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/Arc_asc2raster_GDA94z56.py	(revision 6528)
+++ /anuga_work/production/australia_ph2/sydney/Arc_asc2raster_GDA94z56.py	(revision 6529)
@@ -29,13 +29,13 @@
 ##time_dirs = [time_dir1, time_dir2]
 
-##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
-##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
-time_dir3 = '20090211_135851_run_final_0_7875_jgriffin'
-#time_dir4 = '20090123_154945_run_final_0_7875_250m_small_jgriffin'
-##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
+time_dir1 = '20090311_145740_run_final_0_58152_2956_Tb_jgriffin'
+time_dir2 = '20090311_145828_run_final_0_58152_2956_Bf_jgriffin'
+time_dir3 = '20090313_154712_run_final_0_58222_2956_Bf_jgriffin'
+time_dir4 = '20090313_154810_run_final_0_58326_2956_Bf_jgriffin'
+time_dir5 = '20090316_142137_run_final_0_58326_2956_Bf_jgriffin'
 ##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'
 
 
-time_dirs = [time_dir3]#, time_dir4] #, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dirs = [time_dir3, time_dir4 , time_dir3, time_dir4, time_dir5]#, time_dir6]
 
 for time_dir in time_dirs:
@@ -62,5 +62,5 @@
 
     generate_filename = []
-    input_ascii = glob.glob(folder + '*max.asc')
+    input_ascii = glob.glob(folder + '*stage_max.asc')
     print time_dir
 
Index: /anuga_work/production/australia_ph2/sydney/export_results_max.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/export_results_max.py	(revision 6528)
+++ /anuga_work/production/australia_ph2/sydney/export_results_max.py	(revision 6529)
@@ -1,5 +1,5 @@
 """
 Generates ascii grids of nominated areas -
-Input: sww file from run_pt_hedland.py
+Input: sww file from run_perth.py
        boundaries for grids from project.py
 Outputs: ascii grids of specified variables
@@ -13,23 +13,24 @@
 import project, os
 import sys
+from os.path import join
 from anuga.lib.maxasc.maxasc import MaxAsc
 from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
 from anuga.shallow_water.data_manager import sww2dem
 from os import sep
-from os.path import join
+
 
 directory = project.output_folder
-print directory
 
-time_dir1 = '20090311_145740_run_final_0_58152_2956_Tb_jgriffin'
-time_dir2 = '20090311_145828_run_final_0_58152_2956_Bf_jgriffin'
-#time_dir3 = '20090123_154945_run_final_0_7875_250m_small_jgriffin'
-time_dirs = [time_dir1,time_dir2]#,time_dir2,time_dir3]#, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+time_dir1 = '20090316_142137_run_final_0_58326_2956_Bf_jgriffin'
+##time_dir2 = '20090311_152929_run_final_0_70385_1203_Tb_jgriffin'
+##time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
+##time_dir4 = '20090311_153054_run_final_0_70339_1203_Bf_jgriffin'
+time_dirs = [time_dir1]#,time_dir2,time_dir3,time_dir4]  
 
-#cellsize = 20
 cellsize = 250
+##cellsize = 5
 
-timestep = None    # None means no timestep!
-#timestep = 0
+#timestep = None    # None means no timestep!
+timestep = 0
 
 ######
@@ -37,6 +38,6 @@
 ######
 
-#area = ['']         # strings must match keys in var_equations below
-area = ['All']       # 'All' means no special areas - the whole thing
+#area = ['Bunbury', 'Busselton']  # strings must match keys in var_equations below
+area = ['All']      # 'All' means no special areas - the whole thing
 
 ######
@@ -51,6 +52,5 @@
 
 # one or more key strings from var_equations above
-#var = ['stage', 'speed','depth']
-var = ['stage','elevation']
+var = ['elevation','stage']
 
 ######
@@ -82,10 +82,12 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-            name2 = join(directory, time_dir, project.scenario_name)+'_time_66360_0'
-            #name3 = join(directory, time_dir, project.scenario_name)+'_time_33360_0'
-            #name4 = join(directory, time_dir, project.scenario_name)+'_time_50040_0'
-            #name5 = join(directory, time_dir, project.scenario_name)+'_time_66720_0'
-
-            names = [name1, name2]# , name3, name4, name5]
+##            name2 = join(directory, time_dir, project.scenario_name)+'_time_66360_0'
+##            name3 = join(directory, time_dir, project.scenario_name)+'_time_26640_0'
+##            name4 = join(directory, time_dir, project.scenario_name)+'_time_39960_0'
+##            name5 = join(directory, time_dir, project.scenario_name)+'_time_53280_0'
+##            name6 = join(directory, time_dir, project.scenario_name)+'_time_66600_0'
+##            name7 = join(directory, time_dir, project.scenario_name)+'_time_79920_0'
+            
+            names = [name1]#, name2]#, name3,name4,name5,name6,name7]
       
             asc_name = []   
@@ -112,5 +114,5 @@
                 asc_name.append(outname + '.asc')
     
-            maxasc_outname = directory+time_dir+sep+project.scenario_name+'_'+which_area+'_'+which_var+'_max.asc'
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
 
             print 'max asc outname ', maxasc_outname
Index: /anuga_work/production/australia_ph2/sydney/project.py
===================================================================
--- /anuga_work/production/australia_ph2/sydney/project.py	(revision 6528)
+++ /anuga_work/production/australia_ph2/sydney/project.py	(revision 6529)
@@ -29,5 +29,5 @@
 tide = 0                # difference between MSL and HAT
 zone = 56              # specify zone of model
-event_number = 58222    # the event number or the mux file name
+event_number = 58326    # the event number or the mux file name
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
@@ -39,5 +39,5 @@
 wave = 'Bf'             # Bf (sts wave) Tb (index wave)
 
-setup = 'trial'         # This can be one of three values
+setup = 'final'         # This can be one of three values
                         #    trial - coarsest mesh, fast
                         #    basic - coarse mesh