Index: branches/numpy/anuga/coordinate_transforms/test_redfearn.py
===================================================================
--- branches/numpy/anuga/coordinate_transforms/test_redfearn.py	(revision 6517)
+++ branches/numpy/anuga/coordinate_transforms/test_redfearn.py	(revision 6533)
@@ -122,14 +122,7 @@
 
     def test_UTM_6_nonstandard_projection(self):
-        """test_UTM_6_nonstandard_projection
-
-        Test that projections can be forced to
-        use other than native zone.
-
-        Data is from Geraldton, WA
-        """
-        
-
-        # First test native projection (zone 50)
+        #Test 6 (Geraldton, WA)
+
+        #First test native projection (zone 50)
         zone, easting, northing = redfearn(-29.233299999,114.05)
 
@@ -274,108 +267,4 @@
     #    #assert allclose(northing, 6181725.1724276)
 
-    
-    def Xtest_nonstandard_meridian_coinciding_with_native(self):
-        """test_nonstandard_meridian_coinciding_with_native
-
-        This test will verify that redfearn can be used to project
-        points using an arbitrary central meridian that happens to 
-        coincide with the standard meridian at the center of a UTM zone.
-        This is a preliminary test before testing this functionality
-        with a truly arbitrary non-standard meridian.
-        """
-
-        # The file projection_test_points_z53.csv contains 10 points
-        # which straddle the boundary between UTM zones 53 and 54.
-        # They have been projected to zone 53 irrespective of where they
-        # belong.
-
-        path = get_pathname_from_package('anuga.coordinate_transforms')
-        
-        for forced_zone in [53, 54]:
-        
-            datafile = join(path, 'projection_test_points_z%d.csv' % forced_zone)
-            fid = open(datafile)
-
-            for line in fid.readlines()[1:]:
-                fields = line.strip().split(',')
-                
-                lon = float(fields[1])
-                lat = float(fields[2])
-                x = float(fields[3])
-                y = float(fields[4])            
-
-                zone, easting, northing = redfearn(lat, lon,
-                                                   zone=forced_zone)
-                
-                print
-                print 'Lat', lat
-                print 'Lon', lon
-                print 'Zone', zone
-                print 'Ref x', x, 'Computed x', easting, 'Close enough:', num.allclose(x, easting)
-                print 'Ref y', y, 'Computed y', northing, 'Close enough:', num.allclose(y, northing)
-                
-                # Check calculation
-                assert zone == forced_zone
-                print 
-                #assert num.allclose(x, easting)
-                #assert num.allclose(y, northing)
-
-    
-    
-    
-    def Xtest_nonstandard_meridian(self):
-        """test_nonstandard_meridian
-
-        This test will verify that redfearn can be used to project
-        points using an arbitrary central meridian.
-        """
-
-        # The file projection_test_points.csv contains 10 points
-        # which straddle the boundary between UTM zones 53 and 54.
-        # They have been projected using a central meridian of 137.5
-        # degrees (the boundary is 138 so it is pretty much right
-        # in the middle of zones 53 and 54).
-
-        path = get_pathname_from_package('anuga.coordinate_transforms')
-        datafile = join(path, 'projection_test_points.csv')
-        fid = open(datafile)
-
-        for line in fid.readlines()[1:]:
-            fields = line.strip().split(',')
-
-            lon = float(fields[1])
-            lat = float(fields[2])
-            x = float(fields[3])
-            y = float(fields[4])            
-
-            zone, easting, northing = redfearn(lat, lon,
-                                               central_meridian=137.5,
-                                               scale_factor=0.9996)
-
-            print
-            print 'Lat', lat
-            print 'Lon', lon
-            print 'Zone', zone
-            print 'Ref x', x, 'Computed x', easting, 'Close enough:', num.allclose(x, easting)
-            print 'Ref y', y, 'Computed y', northing, 'Close enough:', num.allclose(y, northing)
-
-            # Check calculation
-            assert zone == -1 # Indicates non UTM projection
-            print 
-            #assert num.allclose(x, easting)
-            #assert num.allclose(y, northing)
-
-        # Test that zone and meridian can't both be specified
-        try:
-            zone, easting, northing = redfearn(lat, lon,
-                                               zone=50, 
-                                               central_meridian=137.5)
-        except:
-            pass
-        else:
-            msg = 'Should have raised exception'
-            raise Exception, msg
-
-            
     def test_convert_lats_longs(self):
 