Index: /anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py	(revision 6593)
+++ /anuga_work/production/australia_ph2/dampier/Arc_asc2raster_GDA94z50.py	(revision 6594)
@@ -30,5 +30,5 @@
 
 #time_dir1 = '20090311_152848_run_final_0_70385_1203_Bf_jgriffin'
-time_dir2 = '20090311_152929_run_final_0_70385_1203_Tb_jgriffin' 
+time_dir2 = '20090323_165436_run_final_0_70385_1203_Tb_jgriffin' 
 #time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
 #time_dir4 = '20090311_153054_run_final_0_70339_1203_Bf_jgriffin'
@@ -46,6 +46,6 @@
 ##    ocean = scenario_dir + "map_work\\\port_hedland.gdb\\outlines\\initial_conditions_ocean"
 
-##    print 'Process: Create File GDB'
-##    gp.CreateFileGDB_management(folder, "raster")
+    print 'Process: Create File GDB'
+    gp.CreateFileGDB_management(folder, "raster")
 
     gp.Workspace = raster_gbd
Index: /anuga_work/production/australia_ph2/dampier/export_results_max.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/export_results_max.py	(revision 6593)
+++ /anuga_work/production/australia_ph2/dampier/export_results_max.py	(revision 6594)
@@ -25,5 +25,5 @@
 ##time_dir2 = '20090311_152929_run_final_0_70385_1203_Tb_jgriffin'
 ##time_dir3 = '20090311_153009_run_final_0_70454_1203_Bf_jgriffin'
-time_dir4 = '20090321_174824_run_final_0_70385_1203_Tb_jgriffin'
+time_dir4 = '20090323_165436_run_final_0_70385_1203_Tb_jgriffin'
 time_dirs = [time_dir4]#,time_dir2,time_dir3,time_dir4]  
 
@@ -86,12 +86,12 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-            name2 = join(directory, time_dir, project.scenario_name)+'_time_2220_0'
-            name3 = join(directory, time_dir, project.scenario_name)+'_time_4440_0'
-            name4 = join(directory, time_dir, project.scenario_name)+'_time_6660_0'
-            name5 = join(directory, time_dir, project.scenario_name)+'_time_8880_0'
-##            name6 = join(directory, time_dir, project.scenario_name)+'_time_66600_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_13320_0'
+#            name3 = join(directory, time_dir, project.scenario_name)+'_time_26640_0'
+##            name4 = join(directory, time_dir, project.scenario_name)+'_time_6660_0'
+##            name5 = join(directory, time_dir, project.scenario_name)+'_time_8880_0'
+####            name6 = join(directory, time_dir, project.scenario_name)+'_time_66600_0'
 ##            name7 = join(directory, time_dir, project.scenario_name)+'_time_79920_0'
             
-            names = [name1, name2, name3,name4,name5]#,name6,name7]
+            names = [name1, name2,]#name3,name4,name5]#,name6,name7]
       
             asc_name = []   
Index: /anuga_work/production/australia_ph2/dampier/get_timeseries.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/get_timeseries.py	(revision 6593)
+++ /anuga_work/production/australia_ph2/dampier/get_timeseries.py	(revision 6594)
@@ -28,5 +28,5 @@
 
 ##time_dir1 = '20081217_115336_run_final_0_27283_250m_none_dp_kvanputt'
-time_dir6 = '20090321_174824_run_final_0_70385_1203_Tb_jgriffin'
+time_dir6 = '20090323_165436_run_final_0_70385_1203_Tb_jgriffin'
 
 time_dirs = [time_dir6]
Index: /anuga_work/production/australia_ph2/dampier/project.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/project.py	(revision 6593)
+++ /anuga_work/production/australia_ph2/dampier/project.py	(revision 6594)
@@ -33,5 +33,5 @@
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=10000          # final time for simulation
+finaltime=80000          # final time for simulation
 
 # index is only used when wave = Tb
Index: /anuga_work/production/australia_ph2/dampier/run_model.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/run_model.py	(revision 6593)
+++ /anuga_work/production/australia_ph2/dampier/run_model.py	(revision 6594)
@@ -163,5 +163,5 @@
 
     domain.set_boundary({'back': Br,
-                         'side': Bd,
+                         'side': Bt,
                          'ocean': Tb})
 else:
Index: /anuga_work/production/australia_ph2/dampier/setup_model.py
===================================================================
--- /anuga_work/production/australia_ph2/dampier/setup_model.py	(revision 6593)
+++ /anuga_work/production/australia_ph2/dampier/setup_model.py	(revision 6594)
@@ -113,5 +113,5 @@
     project.scale_factor = 1
     project.time_thinning = 4
-    project.yieldstep = 10
+    project.yieldstep = 60
 else:
     print ("Sorry, you must set the 'setup' variable to one of:"