Index: /anuga_work/production/new_south_wales/batemans_bay/get_timeseries.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/get_timeseries.py	(revision 6597)
+++ /anuga_work/production/new_south_wales/batemans_bay/get_timeseries.py	(revision 6597)
@@ -0,0 +1,41 @@
+"""
+Generate time series of nominated "gauges".
+Input: sww file from run_perth.py
+       gauges project.gauge_filename
+Output: csv files stage,speed,depth,elevation over time
+Stored in the 'outputs_dir' folder for respective .sww file
+
+Note:
+Can run different sww files at the same time
+make sure if there is a second sww file that it is placed into a folder called sww2
+Can run different gauges at the same time - ie testing boundary index point
+"""
+
+from os import sep, rename, listdir, system
+from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
+import project
+
+directory = project.output_folder
+
+##time_dir1 = '20081009_184721_run_final_0.6_68693_alpha0.1_kvanputt'+sep+'gauge'
+##time_dir2 = '20081031_120316_run_final_0_68693_alpha0.1_kvanputt'+sep+'gauge'
+##time_dir3 = '20081031_120515_run_final_0_27255_alpha0.1_kvanputt'+sep+'gauge'
+##time_dir4 = '20081031_120642_run_final_0_27283_alpha0.1_kvanputt'+sep+'gauge'
+##time_dir5 = '20081031_120753_run_final_0.6_27283_alpha0.1_kvanputt'+sep+'gauge'
+##time_dir6 = '20081111_113832_run_final_0.6_27255_alpha0.1_kvanputt'+sep+'gauge'
+##
+##time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+
+##time_dir1 = '20081217_115336_run_final_0_27283_250m_none_dp_kvanputt'
+time_dir6 = '20090306_165253_run_final_0_58368_jgriffin'
+
+time_dirs = [time_dir6]
+
+for time_dir in time_dirs:
+    name = directory+sep+time_dir+sep+project.scenario_name 
+    gauge = project.gauges
+    sww2csv_gauges(name+'.sww',gauge,
+                   quantities = ['stage','speed','depth','elevation'],
+                   verbose=True)
+  
+
Index: /anuga_work/production/new_south_wales/batemans_bay/project.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 6596)
+++ /anuga_work/production/new_south_wales/batemans_bay/project.py	(revision 6597)
@@ -17,6 +17,6 @@
 # Note, the user needs to set up the directory system accordingly
 state = 'new_south_wales'
-scenario_name = 'batemans_bay'
-scenario_folder = 'batemans_bay_tsunami_scenario_2009'
+scenario_name = 'gosford'
+scenario_folder = 'gosford_tsunami_scenario_2009'
 
 #-------------------------------------------------------------------------------
@@ -26,10 +26,19 @@
 # Model specific parameters.
 # One or all can be changed each time the run_model script is executed
-tide = 0                # difference between MSL and HAT
-event_number = 58368    # the event number or the mux file name
+tide = 0            # difference between MSL and HAT
+
+# the event number or the mux file name
+##event_number =     #1 in 200 yr Puyesgur
+##event_number =     #1 in 500 yr
+##event_number =     #1 in 1000 yr
+##event_number =     #1 in 2000 yr
+##event_number =     #1 in 5000 yr
+event_number = 58242    #1 in 10000 yr Puysegur
+event_number = 51436    #1 in 10000 yr New Hebrides
+
 alpha = 0.1             # smoothing parameter for mesh
 friction=0.01           # manning's friction coefficient
 starttime=0             # start time for simulation
-finaltime=6000         # final time for simulation
+finaltime=60000         # final time for simulation
 
 setup = 'final'         # This can be one of three values
@@ -58,26 +67,8 @@
 # Used in build_elevation.py
 # Format for ascii grids, as produced in ArcGIS + a projection file
-ascii_grid_filenames = ['1a',# Topographic data
-                        '1b',
-                        '2b',
-                        '2a_3',
-                        '3b',
-                        '3a',
-                        '4a_2',
-                        '4b',
-                        'off1',
-                        'off2',
-                        'off3',
-                        'bbhd',
-                        'sd100031996_p',
-                        'sd100031996_p2',
-                        'sd100031996_p3',
-                        'sd100031996_p4']
+ascii_grid_filenames = []
                     
 # Format for point is x,y,elevation (with header)
-point_filenames = ['SD100031996_jgriffin_clip.csv',
-                   'tomaga_offshore_AHD_MGA_1997.csv',
-                   'Batemans_BBHD_MGA_1995.csv',
-                   'moruya_AHD_MGA_2000.csv']
+point_filenames = []
           
 
@@ -110,5 +101,5 @@
 # Used in get_timeseries.py.  
 # Format easting,northing,name,elevation (with header)
-gauges_filename = 'gauges.csv'
+##gauges_filename = 'gauges.csv'
 
 # BUILDINGS EXPOSURE - for identifying inundated houses
@@ -245,5 +236,5 @@
 # The absolute pathname for the gauges file
 # Used for get_timeseries.py
-gauges = join(gauges_folder, gauges_filename)       
+##gauges = join(gauges_folder, gauges_filename)       
 
 # The absolute pathname for the building file
Index: /anuga_work/production/new_south_wales/batemans_bay/run_model.py
===================================================================
--- /anuga_work/production/new_south_wales/batemans_bay/run_model.py	(revision 6596)
+++ /anuga_work/production/new_south_wales/batemans_bay/run_model.py	(revision 6597)
@@ -161,9 +161,16 @@
     print domain.boundary_statistics(tags='ocean')
 
-##for t in domain.evolve(yieldstep=5, 
-##                       finaltime=project.finaltime,
-##                       skip_initial_step=True): 
-##    print domain.timestepping_statistics()
-##    print domain.boundary_statistics(tags='ocean')
+for t in domain.evolve(yieldstep=20, 
+                       finaltime=6000,
+                       skip_initial_step=True): 
+    print domain.timestepping_statistics()
+    print domain.boundary_statistics(tags='ocean')
+
+
+for t in domain.evolve(yieldstep=project.yieldstep, 
+                       finaltime=project.finaltime,
+                       skip_initial_step=True): 
+    print domain.timestepping_statistics()
+    print domain.boundary_statistics(tags='ocean')
 
 print 'Simulation took %.2f seconds' % (time.time()-t0)